﻿@model KS.DomainLayer.Dtos.RoleDto
@{
    ViewData["Title"] = "Create";
}

<!-- Page Heading -->
<h1 class="h3 mb-2 text-gray-800">Add Role </h1>

<div class="form-group"></div>
<form id="CreatePlace" action="#" method="post">
    <div class="col-lg-12 col-xl-8">
        <div class="form-group row">
            <label class="col-md-12 col-lg-4 label-control">Role name <span class="text-danger">*</span></label>
            <div class="col-md-12 col-lg-8">
                <input asp-for="RoleName" class="form-control" type="text" placeholder="input role name" />
                <span asp-validation-for="RoleName" class="text-danger"></span>
            </div>
        </div>
    </div>
</form>

<div class="h3 mb-2 row">
    <div class="col-md-12 col-lg-6">
        <a href="@Url.Action("Index", "Role")" class="btn btn-secondary btn-icon-split">
            <span class="icon text-white-50">
                <i class="fas fa-arrow-left"></i>
            </span>
            <span class="text">Quay lại</span>
        </a>
        <a class="btn btn-success btn-icon-split" onclick="SaveRole()">
            <span class="icon text-white-50">
                <i class="fas fa-check"></i>
            </span>
            <span class="text">Tạo mới</span>
        </a>

    </div>
</div>
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script>

    function SaveRole() {
        var formData = {
            RoleName: $('#RoleName').val(),
            // Add other fields here if needed
        };

        $.ajax({
            url: '@Url.Action("CreateRole")',
            type: 'POST',
            contentType: 'application/json',
            data: JSON.stringify(formData),
            success: function (data) {
                // Handle success, e.g., redirect or show success message
                window.location.href = '@Url.Action("Index", "Role")';
            },
            error: function (xhr, status, error) {
                // Handle errors, e.g., show error message
                console.error(xhr.responseText);
            }
        });
    }
</script>
